ArianeSoft Log-Analyzer for Merak / Introduction

Introduction

ArianeSoft Log-Analyzer for Merak.

A graphical and powerful log analyzer tool for Icewarp Merak Mail Server.

With such a tool, you can view numbers of e-mails sent through your mail server, stopped e-mails by different filters (RBL, content filters, MIAS, ...), stopped by anti-virus, .... You can also perform different statistics in a simple and fast way. And you can even see the log session for a specific e-mail.

Software direct link: www.arianesoft.com/products/Log-Analyzer


ArianeSoft Log-Analyzer for Merak / Daily Summary Stats

Daily Summary Stats

This screen shows all collected data in each category.

Categories names should normally speak for themself, but here follows a summary of explanation of categories.

  • Processed is the sum of all column except the last one "Could not connect".
  • Successed shows the number of e-mails that arrived at their destination (incoming or outgoing e-mails).
  • The "%" column is the percentage of successed e-mails against the processed e-mails.
  • DNSBL e-mails stopped by all DNSBL servers.
  • No MX: e-mails stopped when there is no MX or A record for an e-mail address.
  • Relay: e-mails stopped because relay is denied for sender e-mail address.
  • Auth: e-mails stopped Auth has not succeeded.
  • Virus: e-mails stopped by internal / external anti-virus.
  • Filtered: e-mails stopped by MIAS, Content Filter, B/W list ow static filter.
  • Errors: e-mails stopped because an error has been encountered (ex: size too large, ...).
  • Tarpitting: tarpitted IPs addresses.
  • Could not connect: e-mails not sent because Merak could not connect to remote e-mail server (this is only the case with outoing e-mails or incoming e-mails to a backup domain which is not reachable for some reasons).
    "Processed" is the sum of all other categories except "Could not connect".

    If some data have already been collected, you can select the date you want to see those data and press the "Get" button on the Real-Time Stats tag of the software.
    If the frequency is different from "0" (collect mails every "n" minutes in configuration tag), you just have to wait "n" minute(s) where "n" is the frequency. Instead of waiting you can force the software to directly collect and analyze e-mails from the log path by clicking the "Collect e-mails now" button.
    Then the status light will be changed into a green light and a "Force stop now" button will also appear during the collecting process.

    You can view a pie chart for a day by clicking on the [image] button or by double-clicking on a line in the grid.
    And you can also view a bar chart for several days by clicking on the [image] button.


ArianeSoft Log-Analyzer for Merak / E-Mails Listing

E-Mails Listing

This screen shows all collected data in each category.

The "E-Mails Listing" tag is intended to show you the latest "n" e-mails corresponding to a date range and categories.
If you only want to see the latest 50 e-mails collected by the software, simply select the date of today (which is automatically done when launching the software), choose a maximum result of 50 e-mails and click on the "Show" button.
You can restrict your selection by (un)checking categories (same as in the first tag) and also restrict e-mails with sender / destination e-mails address or domain.

The results will show you the date, sender, destination address, size, status and some notes of each e-mails concerned by your restrictions.
Notes are of different types: for "DNSBL", notes will show you the DNSBL server.
For "virus", notes will show you the virus name.
It will show you the reason in case of "Errors".
And for category "Filtered", the notes column will show you what filter stopped the e-mail (if it is a content filter, you will see the content filter rule name).
If nothing appears in the notes for an e-mail of category filter, then it is supposed to be a b/w list rule.

You can even double-click on a line to see the e-mail session if the log file still exists in the log path. This action can take a long time to execute depending of the size of your log file.


ArianeSoft Log-Analyzer for Merak / E-Mails Categories

E-Mails Categories

This screen shows you the number of different kind of mails.

Just select one category, a date range and click on the "Show" button.
Optionally, you can specify a destination domain and a part of a filter (for example the name of a rule in your Content Filter).

As a result, you will see the daily summary of stopped e-mails corresponding to what you specified above.
When browsing the daily summary, you can see on the right part of the screen a list containing the title, the number that title has appeared fot the selected day and the percentage of the total of the lines is represents.

For example, if you want to see the most popular virus last month, click on the "Anti-Virus" category, select the date range for last month and click on the "Show" button. You will see all virus name order by number descending.
Another example, by entering a content filter rule name in the "Specific filter" field, you can follow the daily evolution of your rule.
Moreover, you can have the daily summary in a chart.

Then you can double-click on a line to see all e-mails concerned by that category within the date range.

Finally You can even double-click on a e-mail to see the e-mail session if the log file still exists in the log path. This action can take a long time to execute depending of the size of your log file.


ArianeSoft Log-Analyzer for Merak / Domains

Domains

This read-only tag will show you all Merak local domains.

If Log-Analyzer is installed on the same computer as Merak itself, the Merak API will access the domains and filter them between local domains and backup domains.
Aliases domains will be displayed indented from local / backup domain.
As Merak create 2 connexions for incoming e-mails towards backup domains, Log-Analyzer must distinguish them for not putting 2 e-mails in the destination database.

That's the reason why the collecting process can only occur if Log-Analyzer is installed in the same computer as Merak itself.


ArianeSoft Log-Analyzer for Merak / E-Mails Accounts

Accounts

This screen allows you to extract all accounts from a given domain.

You can extract the following accounts types:
- E-Mails addresses with passwords (except for administrator users where the password is replaced by a single "*").
- Aliases / Static routes and address(es) forwarded to.
- Mailing lists and owner.
- Executable accounts with launched program.
- Notification accounts with address(es) forwarded to.
- Catalog accounts.
- Remote accounts with address(es) forwarded to.
- Total for each kind of acccounts and grand total of accounts.

You also have the option for not showing the e-mails passwords and hide inactive accounts too.


ArianeSoft Log-Analyzer for Merak / User / Domain Statistics

Domain / User Statistics

This statistic allows you to find if a domain / user is a huge e-mails consumer.
This listing is available daily or hourly.

As a result, you will see separate numbers of incoming and outgoing e-mails for every day in the selected date range and for the specified user / domain.
A line chart is also available and represents the same numbers as in the tables.

Then you can double-click on a line to see all incoming / outgoing e-mails for the specified user / domain and fot the selected day.

Finally You can even double-click on a e-mail to see the e-mail session if the log file still exists in the log path. This action can take a long time to execute depending of the size of your log file.


ArianeSoft Log-Analyzer for Merak / Domains / Users Key Data

Domains / Users Key Data

This screen allows you to view some key information for users in a domain.

Depending of your search and if you are on the same computer as Merak itself you can view the following information:
- User account.
- Date of last received e-mail.
- Date of last sent e-mail.
- Date of last POP3 / IMAP connection to the mailbox (*).
- Number of e-mails in Inbox.
- Number of e-mails in whole mailbox.
- Inbox size (*).
- Total mailbox size (*).
- Max mailbox size (*).
- Percentage of the mailbox used (*).

(*) -> Only available if the program is launched on the same computer as Merak.

When finding the "Last POP3/IMAP connection" date, the software analyzes the source log of Merak day after day as the POP3 logs are not collected to the destination database.
Because it can take a huge amount of time to collect this information, you have an option in the "Config" tab restricting the search for only "n" days.
Finally, you can doudle-click on a line to launch the Explorer directly to the mailbox path of the selected user.
For users in a backup domain, you will only see the dates of last received / sent e-mail.

If you select "(All Domains)" as the domain name, the result will show you other information:

- Domain name.
- Total mailboxes in specified domain.
- Number of e-mails in all Inboxes.
- Number of e-mails in all mailboxes.
- Total Inbox size (*).
- Total mailboxes size (*).


ArianeSoft Log-Analyzer for Merak / Log Viewer

E-Mails Log Viewer

This screen allows you to perform a quick search in Merak logs.

You first have to choose between the 3 categories (POP3, SMTP or Control logs).
Then you can specify a date and a time range. By default, the current date is selected.
You can also search for a specific text and / or a thread ID.
Finally just press the "Search" button to get the results.
And you can even perform a local search within the results by pressing the "Search in results" button or by pressing the CTRL+F combination keys.


ArianeSoft Log-Analyzer for Merak / Configuration

Configuration

This screen is automatically showed when launching the software for the first time.

It is divided in three parts:

- Source Database / Log Path

- Destination Database

- Other settings

All configuration options are automatically saved when leaving the configuration tag.


ArianeSoft Log-Analyzer for Merak / Configuration / Source Database / Log Path

Configuration / Source Database / Log Path

Just specifiy where does the logs come from.

By default logs are text-based and saved on disk.
On load balanced installation in Merak with log files, you muse specify the same Server ID as you have entered in Merak.

If you specified in Merak that logs are odbc-based, just tell it to Log-Analyzer.

The first time you launch Log-Analyzer, it tries to collect the log path and odbc information through the API.
Please check those information.

In Merak, SMTP log must be configured that way: Debug & Summary Logging.


ArianeSoft Log-Analyzer for Merak / Configuration / Source Database / Log Path

Configuration / Source Database / Log Path

Just specifiy where does the data go to.

Supported destination currently are the following:
- Microsoft SQL Server
- MySQL (through MyODBC)
Other databases may be supported as well but no tests have ben made so far.

The first time you choose a destination database, you muse create the tables and indexes by clicking on the "Create Tables" button.

Some e-mails do have an empty sender. This is the case for autoresponder delivery, read receipts, .... If you do not want to save such e-mails, do not check that option.

You also have the possibility to delete e-mails saved in destination database from a specified date.
for example a new version is available and discover some new kind of e-mails not discovered before. If you want to force Log-Analyzer to discover those e-mails for past days, you just have to delete e-mails and restart collecting.


ArianeSoft Log-Analyzer for Merak / Configuration / Other Settings

Configuration / Other Settings

Miscellaneous settings.

Specify the date you want to start the collecting process. When the selected day is finished, it automatically switch to the next day.

The frequency has to be specified in minutes. If you do not want to automatically start the collecting process, just put a "0" as freqeuency.
Aslo, pay attention that if Merak uses a text log, when the collecting process is running, Merak cannot save the log anymore until the process is finished by Log-Analyzer.

You can show / hide the aliases domain from the dropdown lists of domain by unchecking / checking the checkbox.
Remember to reload the domains after having changed that option.

By default, if the API cannot be initialized, an error message is displayed. You can avoid it by checking that option.
As you can install Log-Analyzer in a computer not running Merak, you will have that error message. Remember that installing Log-Analyzer in another computer will only allows you to read already collected mails.

When the program starts, you can automatically load e-mails from the destination database for the current month.

You can also start collecting directly when the program starts.

The other options: "Auto-launch program when Windows starts" and "Start program minimized" speaks for themselves and do not require more explanation.


ArianeSoft Log-Analyzer for Merak / Installation

Installation

Log-Analyzer must be installed on the same computer as Merak itself because it uses the API to find domain names.
Icewarp Merak SMTP logs must be configured that way: Debug & Summary Logging.

To install the program, simply launch the Setup.exe and follows the instructions.

When launching the program for the first time, you are automatically switched to the Configuration tag where you have to specify the source database / log path, the destination database and other settings.

For uninstalling the program, just go to the control-panel, double-click on the "Add and Remove programs" icon, select "Arianesoft Log-Analyzer for Merak" and click the "Remove" button.
Please note that the destination database will not be removed.


ArianeSoft Log-Analyzer for Merak / Requirements

Requirements

- Log-Analyzer MUST be installed on the same computer as Merak itself.
This is mandatory because it uses the API to find if a domain is a local domain or backup domain.
As Merak opens 2 connexions for incoming e-mails to backup domains, Log-Analyzer will not put 2 e-mails in the destination database.

As the destination is accessed by ODBC, you can also install Log-Analyzer on another computer. But this installation will run in a read-only mode.
you will not be able to collect mails from the source with that kind of installation.

Other requirements are:
- Microsoft Windows 95/98/ME/NT/2000/XP/2003 - Workstation / Pro / Server.
- 64 MB RAM.
- 2000 KB disk space.
- Merak Icewarp 5.6.0 or more recent.
No tests have been made with earlier version of Merak but it should certainly work too.


ArianeSoft Log-Analyzer for Merak / History

History

Log-Analyzer History:

[ Legend ]
[ + Added feature ]
[ * Improved/changed feature ]
[ - Bug fixed ]

1.9.9.4: (2007-01-05)
[*] Corrected a compatibility issue with Merak 8.9 log files.

1.9.9.3: (2006-10-23)
[*] Corrected a compatibility missing with Windows 2003 Server SP1.

1.9.9.c: (2006-10-16)
[-] Corrected a bug when viewing some e-mails session from the log file with Merak 8.5.x.

1.9.9: (2006-06-29)
[*] Now compatible with Merak 8.5.x log files.
[*] Timeout extended to queries to the database.

1.9.8: (2006-01-03)
[+] Forest version: possibility to collect logs from differents Merak mail servers to the same database.
[-] Minor bugs fixed concerning the mail collecting process.

1.9.7: (2005-11-21)
[+] Added the possibility to export reports in Microsoft Word.
[+] Added the field "Do not collect incoming e-mails from IP Address(es):" in Config tab.
[+] Adding the possibility to read rotating logs files.
[*] The "specified domain" field in E-Mails Categories tab takes into account the sender domain & the recipient domain.
Before, it was used for only recipient domain.
[-] Corrected a bug when calculating the total in E-Mails Listing tab.

1.9.6: (2005-10-24)
[-] Corrected error with "From" field in E-Mails listing tab and using Microsoft Access database.
[-] Corrected date format display in Summary tab.

1.9.4: (2005-09-21)
[-] Error message corrected when trying to see some mail details.

1.9.3: (2005-08-04)
[*] Columns are now resizable in listings.
[*] when clicking on the Report button and no data is available, a message now appears.
[*] Added a Help buton on the main screen.
[*] Help calls are now contextual.
[*] Added the possibility to directly launch ODBC from Config tab.

1.9.2: (2005-07-12)
[*] When deleting mails from a specific date, the grid in "Daily Summary" tab is now updated.

1.9.1: (2005-07-04)
[+] Config: Added a checkbox to process / do not process over quota e-mails.
[+] Config: Added an option to do not process e-mails containing some text (ex: noreply@).
[-] Daily Stats: Fixes a bug when calculating the total with empty values.

1.9.0: (2005-06-28)
[+] Log Viewer: Added possibility to watch groupware and errors logs.
[+] Domain / Users Stats: now user can select either daily stats or hourly stats.
[+] Daily Stats: Added a total and average grid below the daily details.
[+] E-Mail Categories: Now also shows daily summary, allows to follow the evolution of a specific rule, virus, ....
[+] E-Mail Categories: new daily bar chart.
[-] Fixes some minors visual bugs in the interface.
[*] New package in zip file with readme.txt, licence.txt, history.txt.
[*] Setup now contains empty Access database for those wanting to use it and not having Microsoft Access.
[*] Help file updated.

1.8.5: (2005-05-26)
[*] Now full compatible with Microsoft Access databases.

1.8.0: (2005-04-15)
[*] "Real-Time stats" tab renamed into "Daily summary Stats".
[+] Added a new column "Total Size (KB) in "Daily summary Stats" tab.
[+] Added a new chart with the daily bandwidth.

1.7.0: (2005-04-04)
[+] New "Report" button for printing data from lists or exporting to PDF or HTML files.
[*] BarChart in Real-Time statistics tab is automatically fetched with data from the list.

1.6.4: (2005-03-07)
[-] Server ID in Config tab: value was not saved, corrected.
[-] Bug fixed when collecting data from log files.
[*] "Last POP3 connection" column renamed into "Last POP3/IMAP connection" in "Domains / Users Key Data" tab and perform what it tells.
[*] Log Viewer now allows to perform requests to IMAP logs.

1.6.3: (2005-02-27)
[-] Corrects a problem while collecting data with a missing file.
[-] Corrects a problem while getting last sent e-mail from a MySQL database.

1.6.2: (2005-02-25)
[-] Test the existence of a file before trying to open it.

1.6.1: (2005-02-23)
[-] Last POP3 connection did not returned accurate month.
[*] for load balanced installation of Merak and file logging, you must specify the server ID in the Config Tab.

1.6.0: (2005-02-22)
[*] Added the program version in the main form caption.
[+] Added a domain dropdown list in "E-Mails Categories" tab to see stopped e-mails for a specific domain.
[*] Improved mail collecting process and speed with log files in Merak.
[*] "Users Key Data" tab renamed into "Domains / Users Key Data".
[*] "Configuration" tab renamed into "Config" to have the UI available for 800 * 600 res.
[+] Added the column "Last POP3 connection" in "Domains / Users Key Data" tab.
[+] Added an option in configuration to prevent looking for last POP3 connection for too much days.
[+] Possibility to see domains summary in "Domains / Users Key Data" tab.
[*] Possibility to sort all results grids by clicking on the column name.
[-] Fixed the error when collecting last received / sent e-mail in "Domains / Users Key Data" tab from a MySQL database.

1.5.0: (2005-02-15)
[*] Updated the help file.
[*] New colors for the UI.
[+] Added 2 columns in "User Key Data" tab: number of e-mails in Inbox and whole mailbox.
[+] Added the grand totals in "User Key Data" tab.
[*] Redesign the "Domain / User Statistics" tab.

1.4.2: (2005-02-14)
[*] Edit fields for domains in "E-Mails Listing" tab has been replaced by dropdown lists of all domains.
[+] New design of the local / backup domains with indentation of aliases domains.
[+] Possibility to hide aliases domains in domains dropdowns.

1.4.1: (2005-02-13)
[-] Problem (error message) corrected when starting the program after a new install.
[-] Fixes a problem when calculating Inbox size for IMAP accounts.

1.4.0: (2005-02-10)
[+] New tab: Users Kay Data: shows for every user in a domain the last e-mails dates (sent / received), inbox / mailbox size and max. mailbox size.
[*] Tabs reorganization.
[*] E-Mail tab renamed into Accounts.
[*] Change the area chart into a stacked bar chart contanining all categories + possibility to select the categories you want to see.
[*] New dynamic pie chart replacing the old one.
[*] Edit field for domain in "Domain / User Statistics" tab has been replaced by a dropdown list of all domains.
[*] Possibility to press CTRL+A in log viewer results to select all text.

1.3.0: (2005-01-27)
[+] Added a new category: Tarpitted IPs addresses: count how many tarpitted ip address for each day.
[+] Added a bar chart. Shows the processed and successed e-mails for a date range.

1.2.1: (2005-01-18)
[*] Exported e-mails addresses are now ordered.
[*] All buttons now have an bitmap describing them.
[-] Source dsn was automatically reloaded from Merak when starting the program even if it already containted a value.
[*] Possibility to press "ESC" key to stop log viewer immediately.

Version 1.2.0: (2005-01-10)
[+] Add the possibility to extract all accounts (with passwords) from a given domain.
[+] Search within Merak Logs for specific data (text, IP address, thread ID) within a date / time range.

Version 1.0.1: (2004-12-27)
[-] Fixed a bug when using MySQL as source database for logs.
[*] Possibility to change the font type (fidesys, sans serif) in the "View Session" module.
[*] Possibility to change the background color (white, black) in the "View Session" module.
[*] New button in the "View Session" module for copying all sessions text.
[*] New button in the config tab to reload DSNs.

Version 1.0.0: (2004-12-22)

- First public release (see features page for explanations.)


ArianeSoft Log-Analyzer for Merak / Troubleshooting

Troubleshooting

In case of problems, first of all, verify all settings in the Configuration tag and see this help file.

If the problem persists, please send an e-mail to support@arianesoft.com

You can also access our forum at the following address: forum.arianesoft.com


ArianeSoft Log-Analyzer for Merak / Ordering

Ordering

You can order Log-Analyzer for Merak on the following web site:
www.arianesoft.com/products/log-analyzer/price.asp

When you click on the "Buy now" button, you will be redirected to a transactional secure web site.


ArianeSoft Log-Analyzer for Merak / Licence & Copyright

Licence & Copyright

Terms and Conditions of use:

You may use the software for 30 days without having to register. After that period, the software will stop working. If you continue using the software beyond the 30-day period, you are required to register the product.
After registering, you will receive a username and a registration number, which will make the program fully registered. The registration will let you receive minor updates and having access to support.

Provided that you verify that you are distributing the Shareware Version, you are hereby licensed to make as many copies of as you wish and provide EXACT copies of the original version to anyone and distribute the software and documentation in its unmodified form via electronic means.

You are specifically prohibited from distributing the software and/or documentation with other products (commercial or otherwise) without prior written permission.

By installing and/or using this software, you agree NOT to:

- Decompile, reverse engineer or disassemble, modify or create derivative works based on the software or the documentation in whole or in part.
- Remove any copyright or other ArianeSoft proprietary notices.
- Distribute any registration key for the software to anyone other than the legally registered end user.
- Rent or lease the software to any other party.
- Use a registration key or serial number that was not obtained directly from ArianeSoft.

Termination of licence:

Without prejudice to any other rights, ArianeSoft may terminate this licence agreement if you fail to comply with the terms and conditions contained within this licence agreement.
In such event, you must destroy all copies of the software and all of its component parts, including any registration keys.

Ownership:

The software and all information on the ArianeSoft web site is copyrighted proprietary material of ArianeSoft and may not be copied, reproduced, modified, published, uploaded, posted, transmitted, or distributed in any way, without ArianeSoft prior written permission.
To obtain permission, please contact ArianeSoft via e-mail at: support@arianesoft.com

Software product licence:

The software is protected by copyright laws and international copyright treaties, as well as other intellectual property laws and treaties. The software is licensed, not sold.

Disclaimer:

The software is provided "AS-IS" without warranty of any kind either express or implied, including, but not limited to, the implied warranties of merchantability, fitness for a particular purpose or non-infringement. Some jurisdictions do not allow or otherwise govern the scope of exclusions of implied warranties, so the above exclusions my not apply in full.
The software may contain technical inaccuracies or typographical errors, so changes and/or updates may be affected without notice.

ArianeSoft may also make improvements and/or other changes to the software at any time without notice.

No liability for consequential damages:

To the maximum extent permitted by applicable law, in no event shall ArianeSoft or the software authors be liable for any damages whatsoever (including, without limitation, damages for loss of business profit, business interruption, loss of business information, or any other pecuniary loss) arising out of the use of, or inability to use, this ArianeSoft product, even if ArianeSoft has been advised of the possibility of such damages.

Copyright Notice

Copyright (c) 2004 Arianesoft. All rights reserved.

Windows 2003/2K/XP/NT/9x/ME are registered trademarks of Microsoft Corp.
All other trademarks are owned by their respective companies.